Bug 1007384 - Some exception stacktraces are logged with Exception.printStackTrace() to stdout and not via logger
Summary: Some exception stacktraces are logged with Exception.printStackTrace() to std...
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Transaction Manager
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: TBD EAP 7
Assignee: tom.jenkinson
QA Contact: Ondrej Chaloupka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-09-12 11:36 UTC by Ondrej Chaloupka
Modified: 2017-10-10 00:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-18 12:39:39 UTC
Type: Bug


Attachments (Terms of Use)

Description Ondrej Chaloupka 2013-09-12 11:36:18 UTC
The arjuna code uses pattern e.printStackTrace() on several places in the code. This would be better to be changed for a logger would be used. 

For ArjunaJTA I counted 28 (excluding tests) places where the logger is not used and I suppose it should be.


Secondary. It would be nice in case of the XAException the error code would be printed together with the exception stacktrace. I have one example where I would appreciated it for example.
It's ArjunaJTA/jta/classes/com/arjuna/ats/internal/jta/recovery/arjunacore/XARecoveryModule.java
method handleOrphan where after the xares.rollback(xid) is called the exception is printed to stdout + log does not contain the error code.

Comment 1 tom.jenkinson 2013-09-25 13:16:26 UTC
Is this being reported as an enhancement or bug. If its an enhancement I think it might be better to tackle it as an upstream Jira?

Comment 2 Ondrej Chaloupka 2013-09-25 13:59:58 UTC
First time I thought this being a bug but there is no problem for me to consider it as a feature request. And postpone it for the next EAP6 release.

Comment 8 Ondrej Chaloupka 2013-10-14 14:42:45 UTC
As a feature request I'm moving this issue to TM JIRA feature request and closing this issue.
https://issues.jboss.org/browse/JBTM-1982

Comment 9 Ondrej Chaloupka 2014-08-18 12:39:39 UTC
Agreed with Tom to leave this bz as community issue. Closing this one.


Note You need to log in before you can comment on or make changes to this bug.